#ifndef __CustomCookieSettingsDLG_H_
#define __CustomCookieSettingsDLG_H_

#include "resource.h"       // main symbols
#include <atlhost.h>


/////////////////////////////////////////////////////////////////////////////
// CCustomCookieSettingsDialog dialog

class CCustomCookieSettingsDialog : public CAxDialogImpl<CCustomCookieSettingsDialog>
{
// Construction
public:
	CCustomCookieSettingsDialog();   // standard constructor

	~CCustomCookieSettingsDialog();

	enum { IDD = IDD_CUSTOMCOOKIE };

BEGIN_MSG_MAP(CCustomCookieSettingsDialog)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	MESSAGE_HANDLER(WM_DESTROY, OnDestroy)
	MESSAGE_HANDLER(WM_HELP, OnContextHelp)
	COMMAND_ID_HANDLER(IDOK, OnOK)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
	COMMAND_HANDLER(IDOK, BN_CLICKED, OnOK)
	COMMAND_ID_HANDLER(IDC_MYHELP, OnHelp)
END_MSG_MAP()

	LRESULT OnInitDialog(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnDestroy(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnAutoUpgrade(WORD, WORD, HWND, BOOL&);
	LRESULT OnOK(WORD, WORD, HWND, BOOL&);
	LRESULT OnCancel(WORD, WORD, HWND, BOOL&);
	LRESULT OnContextHelp(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnHelp(WORD, WORD, HWND, BOOL&);

	
};


#endif 