#include "PolicyHandler.h"
#include "PolicySummary.h"
#include "P3PEvaluator.h"
#include "Globals.h"
#include "GetPage.h"
#include <iostream.h>
#include <stdio.h>

main(int argc, char **argv) {
  PolicyReferenceHandler p;

  GURL domain_url, w3c_url, policy_url;
  Result match_result;
  int x, i;

  int result_code;
  GString policy_name;
  //  char *policy_data;

  int results;
  DArray<char> appel;
  FILE *fp;

  if(argc < 2) {
    cerr << "USAGE: " << argv[0] << " URL" << endl;
    exit(1);
  }
  
  fp=fopen("/media/P3P/port/a-m.xml", "rb");
  fseek(fp, 0, SEEK_END);
  int len = ftell(fp);
  fseek(fp, 0, SEEK_SET);
  appel.resize(0, len-1);
  fread(appel, len, 1, fp);
  fclose(fp);

  domain_url=(GURL)argv[1];
  w3c_url =domain_url.host()+"/w3c/p3p.xml";
  p.HandlePolicyReferenceURL(w3c_url, argv[1]);
  policy_url = p.FindPolicy(domain_url, "GET");
  
  match_result=Result(argv[1]);
  //  x=p.HandlePolicyURL(polurl, argv[1], appel, r);

  match_result.Match = Result::UNKNOWN;
  match_result.appliedPolicyURL = policy_url;
  policy_name = SeparateNameAndURL(policy_url);
  char *policy_data = p.GetURL(policy_url);

  result_code=-1;
  if(policy_data){
    result_code = P3PEvaluator::P3PEvaluator_Match_Memory(appel, 
							  appel.size(),
							  policy_data,
							  strlen(policy_data),
							  policy_url, 
							  policy_name,
							  match_result);
  }
  cout << domain_url << "|" << policy_url << "|" << result_code << "|" << match_result.MisMatches.size() << endl;
}

