#ifndef __CookieSettingsDLG_H_
#define __CookieSettingsDLG_H_

#include "resource.h"       // main symbols
#include <atlhost.h>


/////////////////////////////////////////////////////////////////////////////
// CCookieSettingsDialog dialog

class CCookieSettingsDialog : public CAxDialogImpl<CCookieSettingsDialog>
{
// Construction
public:
	CCookieSettingsDialog();   // standard constructor

	~CCookieSettingsDialog();

	enum { IDD = IDD_COOKIESETTINGS };

BEGIN_MSG_MAP(CCookieSettingsDialog)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	MESSAGE_HANDLER(WM_DESTROY, OnDestroy)
	MESSAGE_HANDLER(WM_HELP, OnContextHelp)
	COMMAND_ID_HANDLER(IDOK, OnOK)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
	COMMAND_ID_HANDLER(IDC_CUSTOMCOOKIESETTINGS, OnCustomCookieSettings)
	COMMAND_HANDLER(IDC_COOKIE_ALL, BN_CLICKED, OnClickedAllowcookies)
	COMMAND_HANDLER(IDC_COOKIE_MATCHING, BN_CLICKED, OnClickedAllowcookies_formatchedsites)
	COMMAND_HANDLER(IDC_COOKIE_CUSTOM, BN_CLICKED, OnClickedCustomsettings)
	COMMAND_HANDLER(IDC_COOKIE_NONE, BN_CLICKED, OnClickedNeverallowcookies)
	COMMAND_HANDLER(IDOK, BN_CLICKED, OnOK)
	COMMAND_ID_HANDLER(IDC_MYHELP, OnHelp)
END_MSG_MAP()

	LRESULT OnInitDialog(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnDestroy(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnOK(WORD, WORD, HWND, BOOL&);
	LRESULT OnCancel(WORD, WORD, HWND, BOOL&);
	LRESULT OnContextHelp(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnCustomCookieSettings(WORD, WORD, HWND, BOOL&);	
	
	LRESULT OnClickedAllowcookies(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	
	LRESULT OnClickedAllowcookies_formatchedsites(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	
	LRESULT OnClickedCustomsettings(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	
	LRESULT OnClickedNeverallowcookies(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnHelp(WORD, WORD, HWND, BOOL&);
};


#endif 