#ifndef __OverrideSettingsDLG_H_
#define __OverrideSettingsDLG_H_

#include "resource.h"       // main symbols
#include <atlhost.h>
#include "GString.h"


/////////////////////////////////////////////////////////////////////////////
// COverrideSettingsDialog dialog

class COverrideSettingsDialog : public CAxDialogImpl<COverrideSettingsDialog>
{
// Construction
public:
	COverrideSettingsDialog(GURL);   // standard constructor

	~COverrideSettingsDialog();

	enum { IDD = IDD_OVERRIDESETTINGS };

BEGIN_MSG_MAP(COverrideSettingsDialog)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	MESSAGE_HANDLER(WM_DESTROY, OnDestroy)
	MESSAGE_HANDLER(WM_HELP, OnContextHelp)
	COMMAND_ID_HANDLER(IDOK, OnOK)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
	COMMAND_ID_HANDLER(IDC_MYHELP, OnHelp)
	COMMAND_ID_HANDLER(IDC_COOKIEOVERRIDESITES, OnCookieOverrideSites)
END_MSG_MAP()

	LRESULT OnInitDialog(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnDestroy(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnOK(WORD, WORD, HWND, BOOL&);
	LRESULT OnCancel(WORD, WORD, HWND, BOOL&);
	LRESULT OnContextHelp(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnHelp(WORD, WORD, HWND, BOOL&);
	LRESULT OnCookieOverrideSites(WORD, WORD, HWND, BOOL&);

private:
	GString domain;

	
};


#endif 